EMF::FONT(3)

NAME
EMF::FONT - Graphics Font.

SYNOPSIS

#include <libemf.h>

Inherits EMF::GRAPHICSOBJECT, and EXTLOGFONTW.

  Public Member Functions

FONT (const LOGFONTW *lfont)
OBJECTTYPE getType (void) const
METARECORD * newEMR (HDC dc, HGDIOBJ emf_handle)

Public Member Functions inherited from EMF::GRAPHICSOBJECT
virtual ~GRAPHICSOBJECT ()
GRAPHICSOBJECTs has a virtual destructor.

Public Member Functions inherited from EMF::OBJECT
virtual ~OBJECT ()
OBJECTs have a virtual destructor.
OBJECT (void)

  Additional Inherited Members

Data Fields inherited from EMF::GRAPHICSOBJECT
std::map< HDC, HGDIOBJ > contexts

Data Fields inherited from EMF::OBJECT
HGDIOBJ handle

Detailed Description

Graphics Font.

Fonts are used for drawing text (obviously).

Constructor & Destructor Documentation

  EMF::FONT::FONT (const LOGFONTW * lfont) [inline]

Parameters
    lfont the (logical?) font definition.

Member Function Documentation

  OBJECTTYPE EMF::FONT::getType (void) const [inline], [virtual]
Return the type of this object (could probably do better with RTTI()).

Implements EMF::OBJECT.

  METARECORD * EMF::FONT::newEMR (HDC dc, HGDIOBJ emf_handle) [inline], [virtual]
Return a new metarecord for this object. And record its selection into the given device context.

Parameters
    dc handle of device context into which this object is being selected.
    emf_handle the EMF handle associated with the FONT.

Implements EMF::GRAPHICSOBJECT.

References EMF::GRAPHICSOBJECT::contexts.

Author

Generated automatically by Doxygen for libemf from the source code.